/*GOOGLE FONTS*/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Dancing+Script:wght@400..700&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:wght@100..900&display=swap');

/*VARIABLES CSS*/
:root {
    --header-height: 4rem;

    --clr-blue: #5898fc;
    --clr-black: hsl(0, 0%, 10%);
    --clr-black-light: #00000015;
    --clr-white-dark: hsl(0, 0%, 94%);
    --clr-white: hsl(0, 0%, 97%);
    --clr-gold: #ffcf40;


    --box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 10px 0px;

    --shadow-black-small-img: drop-shadow(0 4px 16px hsla(0, 0%, 0%, 0.3));
    --shadow-black-big-img: drop-shadow(0 8px 24px hsla(0, 0%, 0%, 0.3));

    --body-font: "Raleway", serif;
    --second-font: "Dancing Script", cursive;

    --bigger-font-size: 2rem;
    --h1-font-size: 1.75rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1.1rem;
    --normal-font-size: .938rem;
    --small-font-size: .813rem;


    --font-thin: 100;
    --font-extra-light: 200;
    --font-light: 300;
    --font-regular: 400;
    --font-medium: 500;
    --font-semi-bold: 600;
    --font-bold: 700;
    --font-extra-bold: 800;
    --font-black: 900;

    --z-tooltip: 10;
    --z-fixed: 100;
}

@media screen and (min-width: 1024px) {
    :root {
        --bigger-font-size: 2.5rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: .875rem;
    }
}

/*RESET CSS*/
*,
*::before,
*::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
}

body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;

    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--clr-white);
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}

input,
button,
textarea,
select {
    font: inherit;
}

input,
button {
    outline: none;
    border: none;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: break-word;
}

p {
    text-wrap: pretty;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    text-wrap: balance;
}

#root,
#__next {
    isolation: isolate;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

/*REUSABLE CSS CLASSES*/
.container {
    max-width: 1024px;
    margin-inline: 1.5rem;
}

.grid {
    display: grid;
    gap: 1.5rem;
}

.section {
    padding-block: 5rem 5rem;
}

.section:nth-child(odd) {
    background-color: var(--clr-white-dark);
}

.section-title {
    font-size: var(--h1-font-size);
    font-weight: var(--font-medium);
    color: var(--clr-black);
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 2rem;
    letter-spacing: 0.2rem;
    line-height: 1.25;
}

.sub-section-title {
    font-size: var(--normal-font-size);
    font-weight: var(--font-regular);
    color: var(--clr-black);
    text-align: center;
    margin-bottom: .5rem;
    letter-spacing: 0.1rem;
    line-height: 1;
}

.main {
    overflow: hidden;
}

/*SCROLLUP*/
.scrollup {
    position: fixed;
    right: 1rem;
    bottom: -50%;
    background-color: var(--clr-blue);
    display: inline-flex;
    padding: 3px 9px;
    color: var(--clr-white);
    font-weight: var(--font-semi-bold);
    font-size: 1.25rem;
    border-radius: .5rem;
    z-index: var(--z-tooltip);
    transition: bottom .4s, transform .1s;
    border: 3px solid black;
    border-radius: 5px;
}

.scrollup:hover {
    transform: translate(-0.05em, -0.05em);
    box-shadow: 0.15em 0.15em var(--clr-black);
}

.scrollup:active {
    transform: translate(0.05em, 0.05em);
    box-shadow: 0.05em 0.05em var(--clr-black);
}

.show-scroll {
    bottom: 1rem;
    right: 1rem;
}

.button {
    background: var(--clr-blue);
    font-family: inherit;
    padding: 0.6em 1.3em;
    font-weight: var(--font-bold);
    font-size: 18px;
    border: 3px solid black;
    border-radius: 0.4em;
    box-shadow: 0.1em 0.1em var(--clr-black);
    cursor: pointer;
    color: var(--clr-white);
}

.button:hover {
    transform: translate(-0.05em, -0.05em);
    box-shadow: 0.15em 0.15em var(--clr-black);
}

.button:active {
    transform: translate(0.05em, 0.05em);
    box-shadow: 0.05em 0.05em var(--clr-black);
}

/*#region Hero*/
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: transparent;
    z-index: var(--z-fixed);
}

.nav {
    height: var(--header-height);
}

.nav-data {
    height: 100%;
    display: flex;
    justify-content: right;
    align-items: center;
}

.nav-toggle {
    background-color: var(--clr-blue);
    position: relative;
    width: 35px;
    height: 35px;
    border: 3px solid black;
    border-radius: 5px;
}

.nav-toggle:hover {
    transform: translate(-0.05em, -0.05em);
    box-shadow: 0.15em 0.15em;
}

.nav-toggle:active {
    transform: translate(0.05em, 0.05em);
    box-shadow: 0.05em 0.05em;
}

.nav-burger,
.nav-close {
    position: absolute;
    width: max-content;
    height: max-content;
    inset: 0;
    margin: auto;
    font-size: 1.5rem;
    cursor: pointer;
    transition: opacity .1s, transform .4s;
    color: var(--clr-white);
}

.nav-close {
    opacity: 0;
}

@media screen and (max-width: 1024px) {
    .nav-menu {
        position: absolute;
        left: 0;
        top: 2.5rem;
        width: 100%;
        height: calc(100vh - 4rem);
        overflow: auto;
        pointer-events: none;
        opacity: 0;
        transition: top .4s, opacity .3s;
    }

    .nav-menu::-webkit-scrollbar {
        width: 0;
    }

    .nav-list {
        background-color: var(--clr-blue);
        border: 3px solid var(--clr-black);
        border-radius: 5px;
        margin: 0rem 1rem;
    }
}

.nav-link {
    color: var(--clr-white);
    font-weight: var(--font-bold);
    text-transform: uppercase;
    letter-spacing: .15rem;
    padding: 1rem 1.25rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color .3s;
}

.nav-link:hover {
    background-color: var(--clr-black-light);
}

.show-menu {
    opacity: 1;
    top: 4rem;
    pointer-events: initial;
}

.show-icon .nav-burger {
    opacity: 0;
    transform: rotate(90deg);
}

.show-icon .nav-close {
    opacity: 1;
    transform: rotate(90deg);
}

.hero {
    width: 100%;
    height: 100vh;
    position: relative;

    color: var(--clr-black);
    display: flex;
    align-items: center;
    justify-content: center;

    border-bottom: 3px solid var(--clr-black);
}

.hero-title {
    width: 100%;
    text-align: center;
    text-transform: uppercase;
}

.hero-title span {
    font-size: var(--h2-font-size);
    letter-spacing: 2px;
    margin-right: -2px;
}

.hero-title h1 {
    font-size: var(--bigger-font-size);
    letter-spacing: 5px;
    margin-right: -5px;
    margin-bottom: .5rem;
}

.hero-title h2 {
    letter-spacing: 2px;
    margin-right: -2px;
    margin-bottom: 1.5rem;
}

.hero-button i{
    font-size: 1.2rem;
    margin-left: .5rem;
}

@media screen and (min-width: 1024px) {
    .header {
        background-color: transparent;
        z-index: var(--z-fixed);
        border-bottom: 3px solid black;
        transition: all .25s ease;
    }

    .header .container {
        max-width: 1640px;
        padding: 0rem 2rem;
    }

    .header-sticky {
        box-shadow: var(--box-shadow);
        background-color: var(--clr-blue);
    }

    .header-sticky .nav-link {
        color: var(--clr-white);
    }

    .nav {
        height: calc(var(--header-height) + 1rem);
        display: flex;
        justify-content: center;
    }

    .nav-toggle {
        display: none;
    }

    .nav-list {
        height: 100%;
        display: flex;
        column-gap: 1rem;
        align-items: center;
        justify-content: center;
    }

    .nav-link {
        color: var(--clr-black);
        transition: transform .2s ease;
    }

    .nav-link:hover {
        background-color: transparent;
        transform: scale(1.1);
    }
}

/*#endregion*/

/*#region About*/
.about-container {
    row-gap: 3rem;
}

.about-data {
    width: 100%;
    text-align: center;
    justify-self: center;
}

@media screen and (min-width: 768px) {
    .about-data {
        max-width: 768px;
    }
}
/*#endregion*/

/*#region Projects*/
.projects-tabs {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 2rem;
    margin-bottom: 3rem;
}
.projects-tab-button {
    font-size: var(--h3-font-size);
    font-weight: var(--font-regular);
    cursor: pointer;
    display: grid;
    text-align: center;
    align-items: center;
    justify-self: center;
    width: 110px;
}
.projects-tab-button:hover {
    color: var(--clr-blue);
}
.projects-icon {
    width: 50px;
    height: 50px;
    justify-self: center;
    margin-bottom: 0.5rem;
    border-radius: .75rem;
}
.projects [data-content] {
    display: none;
}
.projects-active[data-content] {
    display: block;
}
.projects-tab-button.projects-active {
    color: var(--clr-blue);
}
@media screen and (max-width: 578px) {
    .projects-tabs {
        display: grid;
        grid-template-columns: repeat(3,1fr);
        gap: 1rem;
        max-width: 400px;
        justify-self: center;
    }
}
@media screen and (max-width: 360px) {
    .projects-tabs {
        grid-template-columns: repeat(2,1fr);
    }
}


.project {
    width: 100%;
    height: auto;

    border-radius: .75rem;
    box-shadow: var(--box-shadow);
    border: solid 3px var(--clr-black);

    padding: 3rem;
}
.project-content {
    text-align: center;
}
@media screen and (max-width: 768px) {
    .project {
        padding: 2rem;
    }
}
@media screen and (max-width: 480px) {
    .project {
        padding: 1.5rem;
    }
}


.project-title {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 2rem;
    margin-bottom: 3rem;
}
.project-name {
    font-size: calc(var(--h2-font-size) + .25rem);
    font-weight: var(--font-bold);
}
.project-download-buttons {
    display: flex;
    column-gap: 1rem;
}
.button-download {
    width: 150px;
    justify-self: center;
    height: auto;
    transition: transform 0.12s;
}
.button-download:hover img {
    transform: scale(1.07);
}
@media screen and (max-width: 865px) {
    .project-title {
        display: grid;
        row-gap: 1rem;
    }
    .project-download-buttons {
        justify-content: center;
        align-items: center;
    }
}
@media screen and (max-width: 480px) {
    .project-download-buttons {
        flex-direction: column;
        row-gap: .5rem;
    }
    .button-download {
        width: 160px;
    }
}


.project-information {
    margin: 5rem 0rem;

    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 3rem;

    text-align: left;
}
.project-information img {
    width: 200px;

    border-radius: .75rem;
    border: solid 3px var(--clr-black);
}
#blender .project-information {
    margin: 0;
}
@media screen and (max-width: 768px) {
    .project-information {
        flex-direction: column;
        row-gap: 2rem;
    }
}


.project-description ul {
    list-style: disc;
}
.project-description p {
    padding: .4rem;
}
@media screen and (max-width: 768px) {
    .project-description ul {
        margin: 0rem 0rem 0rem 1.2rem;
    }
}


.swiper-container {
    padding-block: 2rem;
}
.swiper-content {
    overflow: hidden;
    align-items: center;
    justify-self: center;
    max-width: 200px;
}
.swiper-slide img{
    width: 200px;
    height: auto;
    justify-self: center;
}
.swiper-pagination-bullet {
    background-color: var(--clr-blue);
    opacity: 1;
}
.swiper-pagination-bullet-active {
    background-color: var(--clr-black-light);
}
@media screen and (min-width: 480px) {
    .swiper-content {
        max-width: 400px;
    }
}
@media screen and (min-width: 768px) {
    .swiper-content {
        max-width: 700px;
    }
}


.image-box{
    column-count: 3;
    column-gap: 1rem;
    margin: 0 auto;
    max-width: 1500px;  
}
.image-box .card{
    break-inside: avoid;
    -webkit-column-break-inside: avoid;
    page-break-inside: avoid;
    margin: 0 0 1rem;
    border-radius: 14px;
    overflow: hidden;
}
.image-box img{
    width: 100%;
    height: auto;
    display: block;
}
#wordmatch .image-box {
    max-width: 800px;
    column-count: 4;
}
@media screen and (max-width: 768px) {
    .image-box { 
        column-count: 2; 
    }
    #wordmatch .image-box {
        max-width: 400px;
        column-count: 2;
    }
}
@media screen and (max-width: 480px) {
    .image-box { 
        column-count: 1;
    }
}
/*#endregion*/

/*#region Contact*/
.contact-card {
    max-width: 800px;
    height: auto;

    justify-self: center;
    justify-content: center;
    text-align: center;

    background-color: var(--clr-white);
    border: solid 3px var(--clr-black);
    border-radius: 2rem;

    padding: 1rem;
}

.contact-link {
    color: var(--clr-black);
    padding: .5rem;
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    transition: color .2s ease;
}

.contact-link:hover {
    color: var(--clr-blue);
}

.contact-link i {
    font-size: 1.25rem;
    margin-right: .5rem;
    border-radius: 20px;
}
/*#endregion*/

/*#region BREAKPOINTS!!!*/
@media screen and (max-width: 375px) {
    .container {
        margin-inline: .5rem;
    }
}

@media screen and (min-width: 1024px) {
    .container {
        margin-inline: auto;
    }
}
/*#endregion BREAKPOINTS!!!*/